LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
07095Bug reports[All Projects] Survey takingpublic2012-12-16 18:522012-12-22 19:09
Reporteramun 
Assigned Toc_schmitz 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary07095: Syntax error or access violation: 1118 Row size too large
DescriptionWhen filling out after activation with tokens, the following error is shown:

Error executing query in dbExecuteAssoc:CDbCommand failed to execute the SQL statement: SQLSTATE[42000]: Syntax error or access violation: 1118 Row size too large. The maximum row size for the used table type, not counting BLOBs, is 8126. You have to change some columns to TEXT or BLOBs. The SQL statement executed was: UPDATE lime_survey_438528 SET `lastpage`=6

I cannot reproduce this error on another limesurvey installation at another server, so i'm not sure if it is an bug or it's a problem of the server setting.


Steps To Reproduce--> activate survey
--> filling out the forms
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID121209
BrowserFirefox
Database & DB-VersionMySQL 5.0.10
Operating System (Server)Linux
Webserver software & versionApache/FreeBSD8.2
PHP Version5.4.5
Attached Files

- Relationships

-  Notes
User avatar (23277)
amun (reporter)
2012-12-19 13:19

i found out whats the specfic problem: in the mysql database table of the type 'InnoDB' were created instead of the required 'MyIsam'.

LS was creating InnoDB-tables instead of 'MyIsam' when activating a survey.

My provider told that LS isn't forcing the DB to create 'MyIsam'-tables. If it's true, it would be helpful, if LS would force the database to do this...
User avatar (23292)
c_schmitz (administrator)
2012-12-19 23:35

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10961 [^]
User avatar (23327)
c_schmitz (administrator)
2012-12-20 22:56

2.00+ build 121220 released.
User avatar (23358)
c_schmitz (administrator)
2012-12-22 19:09

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=11001 [^]

- Related Changesets
LimeSurvey: master 8a8880a9
Timestamp: 2012-12-19 22:35:03
Author: c_schmitz
Committer: c-schmitz
Details ] Diff ]
Fixed issue 07095: Usage of wrong db engine when mysql database is configured to not default to MyISAM
mod - application/helpers/admin/activate_helper.php Diff ] File ]
mod - application/helpers/database_helper.php Diff ] File ]
mod - application/helpers/update/updatedb_helper.php Diff ] File ]
LimeSurvey: 2.1 abd6e257
Timestamp: 2012-12-22 18:05:50
Author: c_schmitz
Committer: c-schmitz
Details ] Diff ]
Fixed issue 07095: Usage of wrong db engine when mysql database is configured to not default to MyISAM
mod - application/helpers/admin/activate_helper.php Diff ] File ]
mod - application/helpers/database_helper.php Diff ] File ]
mod - application/helpers/update/updatedb_helper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-12-16 18:52 amun New Issue
2012-12-16 18:52 amun File Added: test.lss
2012-12-19 13:19 amun Note Added: 23277
2012-12-19 23:32 c_schmitz Assigned To => c_schmitz
2012-12-19 23:32 c_schmitz Status new => assigned
2012-12-19 23:35 c_schmitz Status assigned => resolved
2012-12-19 23:35 c_schmitz Fixed in Version => 2.00+
2012-12-19 23:35 c_schmitz Resolution open => fixed
2012-12-19 23:35 c_schmitz Changeset attached => LimeSurvey master 8a8880a9
2012-12-19 23:35 c_schmitz Note Added: 23292
2012-12-19 23:35 c_schmitz File Deleted: test.lss
2012-12-20 22:56 c_schmitz Note Added: 23327
2012-12-20 22:56 c_schmitz Status resolved => closed
2012-12-22 19:09 c_schmitz Changeset attached => LimeSurvey 2.1 abd6e257
2012-12-22 19:09 c_schmitz Note Added: 23358


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker